gstreamermm: Gst::FileSrc Class Reference

gstreamermm 0.10.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::FileSrc Class Reference
gstreamermm Plugins

A Wrapper for the filesrc plugin. More...

Inheritance diagram for Gst::FileSrc:
[legend]
Collaboration diagram for Gst::FileSrc:
[legend]

List of all members.

## Public Member Functions
virtual | ~FileSrc ()
GstFileSrc* | gobj ()
| Provides access to the underlying C GObject.
const GstFileSrc* | gobj () const
| Provides access to the underlying C GObject.
GstFileSrc* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::ustring > | property_location ()
| Location of the file to read.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_location () const
| Location of the file to read.
Glib::PropertyProxy_ReadOnly< int > | property_fd () const
| File-descriptor for the file being mmap()d.
Glib::PropertyProxy< gulong > | property_mmapsize ()
| Size in bytes of mmap()d regions.
Glib::PropertyProxy_ReadOnly < gulong > | property_mmapsize () const
| Size in bytes of mmap()d regions.
Glib::PropertyProxy< bool > | property_sequential ()
| Whether to use madvise to hint to the kernel that access to mmap pages will be sequential.
Glib::PropertyProxy_ReadOnly < bool > | property_sequential () const
| Whether to use madvise to hint to the kernel that access to mmap pages will be sequential.
Glib::PropertyProxy< bool > | property_touch ()
| Touch mmapped data regions to force them to be read from disk.
Glib::PropertyProxy_ReadOnly < bool > | property_touch () const
| Touch mmapped data regions to force them to be read from disk.
Glib::PropertyProxy< bool > | property_use_mmap ()
| Whether to use mmap() instead of read().
Glib::PropertyProxy_ReadOnly < bool > | property_use_mmap () const
| Whether to use mmap() instead of read().
## Static Public Member Functions
static Glib::RefPtr< FileSrc > | create ()
| Creates a new filesrc plugin with a unique name.
static Glib::RefPtr< FileSrc > | create (const Glib::ustring& name)
| Creates a new filesrc plugin with the given name.
## Protected Member Functions
| FileSrc ()
| FileSrc (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::FileSrc > | wrap (GstFileSrc* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the filesrc plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::FileSrc::~FileSrc | ( |  | ) | `[virtual]`

Gst::FileSrc::FileSrc | ( |  | ) | `[protected]`

Gst::FileSrc::FileSrc | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<FileSrc> Gst::FileSrc::create | ( |  | ) | `[static]`

Creates a new filesrc plugin with a unique name.

static Glib::RefPtr<FileSrc> Gst::FileSrc::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new filesrc plugin with the given name.

const GstFileSrc* Gst::FileSrc::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSrc.

GstFileSrc* Gst::FileSrc::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSrc.

GstFileSrc* Gst::FileSrc::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseSrc.

Glib::PropertyProxy_ReadOnly<int> Gst::FileSrc::property_fd | ( |  | ) | const

File-descriptor for the file being mmap()d.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gst::FileSrc::property_location | ( |  | ) |

Location of the file to read.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::FileSrc::property_location | ( |  | ) | const

Location of the file to read.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<gulong> Gst::FileSrc::property_mmapsize | ( |  | ) |

Size in bytes of mmap()d regions.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<gulong> Gst::FileSrc::property_mmapsize | ( |  | ) | const

Size in bytes of mmap()d regions.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::FileSrc::property_sequential | ( |  | ) |

Whether to use madvise to hint to the kernel that access to mmap pages will be sequential.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::FileSrc::property_sequential | ( |  | ) | const

Whether to use madvise to hint to the kernel that access to mmap pages will be sequential.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::FileSrc::property_touch | ( |  | ) | const

Touch mmapped data regions to force them to be read from disk.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::FileSrc::property_touch | ( |  | ) |

Touch mmapped data regions to force them to be read from disk.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::FileSrc::property_use_mmap | ( |  | ) |

Whether to use mmap() instead of read().

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::FileSrc::property_use_mmap | ( |  | ) | const

Whether to use mmap() instead of read().

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::FileSrc > wrap | ( | GstFileSrc * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/filesrc.h